Bug 178687 - audio/clementine-player fails to build
Summary: audio/clementine-player fails to build
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Veniamin Gvozdikov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-05-16 14:40 UTC by freebsd.users
Modified: 2017-04-29 15:44 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description freebsd.users 2013-05-16 14:40:00 UTC
[ 74%] Building CXX object src/CMakeFiles/clementine_lib.dir/internet/lastfmservice.cpp.o
[ 74%] Building CXX object src/CMakeFiles/clementine_lib.dir/internet/lastfmsettingspage.cpp.o
[ 74%] Building CXX object src/CMakeFiles/clementine_lib.dir/internet/lastfmstationdialog.cpp.o
[ 74%] Building CXX object src/CMakeFiles/clementine_lib.dir/internet/lastfmurlhandler.cpp.o
[ 74%] Building CXX object src/CMakeFiles/clementine_lib.dir/songinfo/echonestsimilarartists.cpp.o
[ 74%] Building CXX object src/CMakeFiles/clementine_lib.dir/songinfo/echonesttags.cpp.o
[ 74%] Building CXX object src/CMakeFiles/clementine_lib.dir/songinfo/lastfmtrackinfoprovider.cpp.o
[ 74%] Building CXX object src/CMakeFiles/clementine_lib.dir/songinfo/tagwidget.cpp.o
[ 74%] Building CXX object src/CMakeFiles/clementine_lib.dir/globalsearch/spotifysearchprovider.cpp.o
[ 74%] Building CXX object src/CMakeFiles/clementine_lib.dir/internet/spotifyserver.cpp.o
[ 74%] Building CXX object src/CMakeFiles/clementine_lib.dir/internet/spotifyservice.cpp.o
[ 74%] Building CXX object src/CMakeFiles/clementine_lib.dir/internet/spotifysettingspage.cpp.o
[ 74%] Building CXX object src/CMakeFiles/clementine_lib.dir/internet/spotifyblobdownloader.cpp.o
[ 74%] Building CXX object src/CMakeFiles/clementine_lib.dir/widgets/osd_x11.cpp.o
[ 75%] Building CXX object src/CMakeFiles/clementine_lib.dir/core/mpris_player.cpp.o
[ 75%] Building CXX object src/CMakeFiles/clementine_lib.dir/core/mpris_root.cpp.o
[ 75%] Building CXX object src/CMakeFiles/clementine_lib.dir/core/mpris_tracklist.cpp.o
[ 75%] Building CXX object src/CMakeFiles/clementine_lib.dir/core/mpris2_player.cpp.o
[ 75%] Building CXX object src/CMakeFiles/clementine_lib.dir/core/mpris2_root.cpp.o
[ 75%] Building CXX object src/CMakeFiles/clementine_lib.dir/core/mpris2_tracklist.cpp.o
[ 75%] Building CXX object src/CMakeFiles/clementine_lib.dir/dbus/notification.cpp.o
[ 75%] Building CXX object src/CMakeFiles/clementine_lib.dir/dbus/gnomesettingsdaemon.cpp.o
[ 75%] Building CXX object src/CMakeFiles/clementine_lib.dir/dbus/udisks.cpp.o
[ 75%] Building CXX object src/CMakeFiles/clementine_lib.dir/dbus/udisksdevice.cpp.o
[ 75%] Building CXX object src/CMakeFiles/clementine_lib.dir/dbus/wiimotedev.cpp.o
[ 75%] Building CXX object src/CMakeFiles/clementine_lib.dir/core/mpris.cpp.o
[ 75%] Building CXX object src/CMakeFiles/clementine_lib.dir/core/mpris1.cpp.o
[ 76%] Building CXX object src/CMakeFiles/clementine_lib.dir/core/mpris2.cpp.o
[ 76%] Building CXX object src/CMakeFiles/clementine_lib.dir/ui/dbusscreensaver.cpp.o
[ 76%] Building CXX object src/CMakeFiles/clementine_lib.dir/wiimotedev/shortcuts.cpp.o
[ 76%] Building CXX object src/CMakeFiles/clementine_lib.dir/wiimotedev/wiimotesettingspage.cpp.o
[ 76%] Building CXX object src/CMakeFiles/clementine_lib.dir/wiimotedev/wiimoteshortcutgrabber.cpp.o
[ 76%] Building CXX object src/CMakeFiles/clementine_lib.dir/devices/devicekitlister.cpp.o
[ 76%] Building CXX object src/CMakeFiles/clementine_lib.dir/devices/gpoddevice.cpp.o
[ 76%] Building CXX object src/CMakeFiles/clementine_lib.dir/devices/gpodloader.cpp.o
[ 76%] Building CXX object src/CMakeFiles/clementine_lib.dir/devices/giolister.cpp.o
[ 76%] Building CXX object src/CMakeFiles/clementine_lib.dir/devices/cddadevice.cpp.o
[ 76%] Building CXX object src/CMakeFiles/clementine_lib.dir/devices/cddalister.cpp.o
[ 76%] Building CXX object src/CMakeFiles/clementine_lib.dir/devices/afcdevice.cpp.o
[ 76%] Building CXX object src/CMakeFiles/clementine_lib.dir/devices/afcfile.cpp.o
[ 77%] Building CXX object src/CMakeFiles/clementine_lib.dir/devices/afctransfer.cpp.o
[ 77%] Building CXX object src/CMakeFiles/clementine_lib.dir/devices/ilister.cpp.o
[ 77%] Building CXX object src/CMakeFiles/clementine_lib.dir/devices/imobiledeviceconnection.cpp.o
/usr/ports/audio/clementine-player/work/clementine-1.1.0/src/devices/imobiledeviceconnection.cpp: In constructor 'iMobileDeviceConnection::iMobileDeviceConnection(const QString&)':
/usr/ports/audio/clementine-player/work/clementine-1.1.0/src/devices/imobiledeviceconnection.cpp:46: error: cannot convert 'uint16_t*' to 'lockdownd_service_descriptor**' for argument '3' to 'lockdownd_error_t lockdownd_start_service(lockdownd_client_private*, const char*, lockdownd_service_descriptor**)'
/usr/ports/audio/clementine-player/work/clementine-1.1.0/src/devices/imobiledeviceconnection.cpp:53: error: invalid conversion from 'uint16_t' to 'lockdownd_service_descriptor*'
/usr/ports/audio/clementine-player/work/clementine-1.1.0/src/devices/imobiledeviceconnection.cpp:53: error:   initializing argument 2 of 'afc_error_t afc_client_new(idevice_private*, lockdownd_service_descriptor*, afc_client_private**)'
*** Error code 1

Stop in /usr/ports/audio/clementine-player/work/clementine-1.1.0.
*** Error code 1

Stop in /usr/ports/audio/clementine-player/work/clementine-1.1.0.
*** Error code 1

Stop in /usr/ports/audio/clementine-player/work/clementine-1.1.0.
*** Error code 1

Stop in /usr/ports/audio/clementine-player.
*** Error code 1

Stop in /usr/ports/audio/clementine-player.

How-To-Repeat: portmaster audio/clementine-player
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2013-05-16 17:12:58 UTC
Responsible Changed
From-To: freebsd-bugs->freebsd-ports-bugs

ports PR.
Comment 2 Edwin Groothuis freebsd_committer 2013-05-16 17:13:17 UTC
Maintainer of audio/clementine-player,

Please note that PR ports/178687 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/178687

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2013-05-16 17:13:18 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 Veniamin 2013-05-30 15:31:18 UTC
It'll fixed in next releases because after upgrade libimobiledevices to =
latest version it's broken in types. Additional description there =
http://code.google.com/p/clementine-player/source/detail?r=3D3d434f1c8818=
Comment 5 Mark Linimon freebsd_committer freebsd_triage 2013-07-20 23:24:00 UTC
Responsible Changed
From-To: freebsd-ports-bugs->vg

Over to maintainer.
Comment 6 dfilter service freebsd_committer 2013-08-25 10:08:04 UTC
Author: vg
Date: Sun Aug 25 09:07:50 2013
New Revision: 325333
URL: http://svnweb.freebsd.org/changeset/ports/325333

Log:
  - Removed support IMOBILEDEVICE because developers does not support it
  details: http://code.google.com/p/clementine-player/source/detail?r=3d434f1c8818
  
  PR:		ports/178687
  Submitted by:	Justin <freebsd.users@gmail.com>
  Approved by:	eadler (mentor)

Modified:
  head/audio/clementine-player/Makefile

Modified: head/audio/clementine-player/Makefile
==============================================================================
--- head/audio/clementine-player/Makefile	Sun Aug 25 09:05:35 2013	(r325332)
+++ head/audio/clementine-player/Makefile	Sun Aug 25 09:07:50 2013	(r325333)
@@ -3,7 +3,7 @@
 
 PORTNAME=	clementine
 PORTVERSION=	1.1.1
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	audio
 MASTER_SITES=	GOOGLE_CODE
 PKGNAMESUFFIX=	-player
@@ -35,10 +35,11 @@ USE_GSTREAMER=	gio ogg mp3 flac soup vor
 MAKE_JOBS_UNSAFE=	yes
 CONFLICTS_BUILD=	qt-3.*
 
-CMAKE_ARGS+=	-DCMAKE_LIBRARY_PATH:PATH="${LOCALBASE}/lib:${PREFIX}/lib"
+CMAKE_ARGS+=	-DCMAKE_LIBRARY_PATH:PATH="${LOCALBASE}/lib:${PREFIX}/lib" \
+		-DENABLE_IMOBILEDEVICE=OFF
 
 OPTIONS_DEFINE=		AUDIOCD BREAKPAD DEVICEKIT GIO GOOGLE_DRIVE GPOD \
-			IMOBILEDEVICE LASTFM MTP SPOTIFY VISUALISATION WIIMOTEDEV
+			LASTFM MTP SPOTIFY VISUALISATION WIIMOTEDEV
 
 AUDIOCD_DESC=		Devices: Audio CD support
 BREAKPAD_DESC=		Crash reporting
@@ -46,7 +47,6 @@ DEVICEKIT_DESC=		Devices: DeviceKit back
 GIO_DESC=		Devices: GIO device backend
 GOOGLE_DRIVE_DESC=	Google Drive support
 GPOD_DESC=		iPod support
-IMOBILEDEVICE_DESC=	Devices: iPod Touch, iPhone, iPad support
 LASTFM_DESC=		Support Last.fm service (requires ruby)
 MTP_DESC=		MTP device support
 SPOTIFY_DESC=		Support for Spotify service
@@ -98,15 +98,6 @@ LIB_DEPENDS+=	gpod:${PORTSDIR}/audio/lib
 CMAKE_ARGS+=	-DENABLE_LIBGPOD=OFF
 .endif
 
-.if ${PORT_OPTIONS:MIMOBILEDEVICE}
-CMAKE_ARGS+=	-DENABLE_IMOBILEDEVICE=ON
-LIB_DEPENDS+=	imobiledevice:${PORTSDIR}/comms/libimobiledevice \
-		plist:${PORTSDIR}/devel/libplist \
-		usbmuxd:${PORTSDIR}/comms/usbmuxd
-.else
-CMAKE_ARGS+=	-DENABLE_IMOBILEDEVICE=OFF
-.endif
-
 .if ${PORT_OPTIONS:MLASTFM}
 CMAKE_ARGS+=	-DENABLE_LIBLASTFM=ON
 LIB_DEPENDS+=	lastfm:${PORTSDIR}/audio/liblastfm
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 7 Veniamin Gvozdikov freebsd_committer 2013-08-25 10:08:18 UTC
State Changed
From-To: feedback->closed

Committed, thank you!
Comment 8 dfilter service freebsd_committer 2013-11-30 01:57:52 UTC
Author: sbruno (src committer)
Date: Sat Nov 30 01:57:45 2013
New Revision: 335256
URL: http://svnweb.freebsd.org/changeset/ports/335256

Log:
  Address some of the nonsense seen in audio/clementine-player as the code in
  this port ends up generating libraries and code that just don't link
  correctly.
  
  PR:		ports/178687

Modified:
  head/devel/protobuf/Makefile

Modified: head/devel/protobuf/Makefile
==============================================================================
--- head/devel/protobuf/Makefile	Sat Nov 30 01:24:19 2013	(r335255)
+++ head/devel/protobuf/Makefile	Sat Nov 30 01:57:45 2013	(r335256)
@@ -3,6 +3,7 @@
 
 PORTNAME=	protobuf
 PORTVERSION=	2.5.0
+PORTREVISION=	1
 CATEGORIES=	devel
 MASTER_SITES=	${MASTER_SITE_GOOGLE_CODE}
 
@@ -16,6 +17,10 @@ USE_LDCONFIG=	yes
 USES=		pathfix pkgconfig
 ONLY_FOR_ARCHS=	i386 amd64
 
+# clang will generate code that just doesn't work with clementine-player
+# if this isn't compiled as though it were C99.
+CFLAGS+=	-std=c99
+
 tests: build
 	@(cd ${WRKSRC} && ${SETENV} ${MAKE_ENV} ${MAKE} ${MAKE_FLAGS} ${MAKEFILE} ${MAKE_ARGS} check)
 
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 9 dfilter service freebsd_committer 2013-11-30 01:58:29 UTC
Author: sbruno (src committer)
Date: Sat Nov 30 01:58:17 2013
New Revision: 335257
URL: http://svnweb.freebsd.org/changeset/ports/335257

Log:
  Address some of the nonsense seen in audio/clementine-player as the code in
  this port ends up generating libraries and code that just don't link
  correctly.
  
  PR:		ports/178687

Modified:
  head/audio/taglib/Makefile

Modified: head/audio/taglib/Makefile
==============================================================================
--- head/audio/taglib/Makefile	Sat Nov 30 01:57:45 2013	(r335256)
+++ head/audio/taglib/Makefile	Sat Nov 30 01:58:17 2013	(r335257)
@@ -3,6 +3,7 @@
 
 PORTNAME=	taglib
 PORTVERSION=	1.9.1
+PORTREVISION=	1
 CATEGORIES=	audio
 MASTER_SITES=	http://taglib.github.io/releases/
 
@@ -18,6 +19,10 @@ CMAKE_ARGS=	-DWITH_ASF:BOOL=ON \
 		-DWITH_MP4:BOOL=ON
 USE_LDCONFIG=	yes
 
+# clang will generate code that just doesn't work with clementine-player
+# if this isn't compiled as though it were C99.
+CFLAGS+=	-std=c99
+
 OPTIONS_DEFINE=	RCC
 OPTIONS_SUB=	yes
 
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 10 dfilter service freebsd_committer 2013-11-30 03:54:27 UTC
Author: sbruno (src committer)
Date: Sat Nov 30 03:54:16 2013
New Revision: 335260
URL: http://svnweb.freebsd.org/changeset/ports/335260

Log:
  Update audio/clementine-player to 1.2.0
  
  This now works on 11-current
  
  PR:	ports/178687

Added:
  head/audio/clementine-player/files/patch-ext__libclementine-common__core__closure.cpp   (contents, props changed)
  head/audio/clementine-player/files/patch-ext__libclementine-common__core__closure.h   (contents, props changed)
  head/audio/clementine-player/files/patch-src__playlistparsers__plsparser.cpp   (contents, props changed)
  head/audio/clementine-player/files/patch-src__podcasts__podcastdownloader.h   (contents, props changed)
Deleted:
  head/audio/clementine-player/files/patch-ext_clementine-tagreader_CMakeLists.txt
  head/audio/clementine-player/files/patch-src-devices-cddadevice.h
  head/audio/clementine-player/files/patch-src-devices-cddalister.cpp
  head/audio/clementine-player/files/patch-src-main.cpp
  head/audio/clementine-player/files/patch-src_core_utilities.cpp
Modified:
  head/audio/clementine-player/Makefile
  head/audio/clementine-player/distinfo
  head/audio/clementine-player/files/patch-src_CMakeLists.txt
  head/audio/clementine-player/pkg-plist

Modified: head/audio/clementine-player/Makefile
==============================================================================
--- head/audio/clementine-player/Makefile	Sat Nov 30 02:27:05 2013	(r335259)
+++ head/audio/clementine-player/Makefile	Sat Nov 30 03:54:16 2013	(r335260)
@@ -1,9 +1,8 @@
-# Created by: Veniamin Gvozdikov <vg@FreeBSD.org>
+o Created by: Veniamin Gvozdikov <vg@FreeBSD.org>
 # $FreeBSD$
 
 PORTNAME=	clementine
-PORTVERSION=	1.1.1
-PORTREVISION=	2
+PORTVERSION=	1.2.0
 CATEGORIES=	audio
 MASTER_SITES=	GOOGLE_CODE
 PKGNAMESUFFIX=	-player
@@ -16,9 +15,10 @@ LICENSE=	GPLv3
 LIB_DEPENDS=	execinfo:${PORTSDIR}/devel/libexecinfo \
 		tag:${PORTSDIR}/audio/taglib \
 		chromaprint:${PORTSDIR}/audio/chromaprint \
-		protobuf-lite:${PORTSDIR}/devel/protobuf \
+		protobuf:${PORTSDIR}/devel/protobuf \
 		qjson:${PORTSDIR}/devel/qjson \
 		fftw3:${PORTSDIR}/math/fftw3
+
 BUILD_DEPENDS=	${LOCALBASE}/include/boost/shared_ptr.hpp:${PORTSDIR}/devel/boost-libs
 
 # avoid clash with x11-wm/clementine
@@ -30,20 +30,24 @@ NO_STAGE=	yes
 USE_GL=		glew
 USE_QT4=	dbus gui xml qmake_build uic_build moc_build rcc_build \
 		linguist_build network sql opengl qtestlib corelib webkit
-USE_GCC=	4.2+
+WITH_DEBUG=	yes
 INSTALLS_ICONS=	yes
 USE_GSTREAMER=	gio ogg mp3 flac soup vorbis
 MAKE_JOBS_UNSAFE=	yes
 CONFLICTS_BUILD=	qt-3.*
 
 CMAKE_ARGS+=	-DCMAKE_LIBRARY_PATH:PATH="${LOCALBASE}/lib:${PREFIX}/lib" \
-		-DENABLE_IMOBILEDEVICE=OFF
+		-DENABLE_IMOBILEDEVICE=OFF -DENABLE_SPARKLE=OFF \
+		-DENABLE_SOUNDMENU=OFF -DENABLE_DBUS=OFF -DENABLE_UBUNTU_ONE=OFF \
+		-DENABLE_DROPBOX=OFF -DENABLE_SKYDRIVE=OFF
 
 OPTIONS_DEFINE=		AUDIOCD BREAKPAD DEVICEKIT GIO GOOGLE_DRIVE GPOD \
-			LASTFM MTP SPOTIFY VISUALISATION WIIMOTEDEV
+			LASTFM MTP SPOTIFY VISUALISATION WIIMOTEDEV \
+			USE_BUILTIN_TAGLIB MOODBAR
 
 AUDIOCD_DESC=		Devices: Audio CD support
 BREAKPAD_DESC=		Crash reporting
+DBUS_DESC=		Enable D-Bus support
 DEVICEKIT_DESC=		Devices: DeviceKit backend
 GIO_DESC=		Devices: GIO device backend
 GOOGLE_DRIVE_DESC=	Google Drive support
@@ -53,12 +57,32 @@ MTP_DESC=		MTP device support
 SPOTIFY_DESC=		Support for Spotify service
 VISUALISATION_DESC=	Visualisations from projectM
 WIIMOTEDEV_DESC=	Wiimote support
+MOODBAR_DESC=		Moodbar Support
+USE_BUILTIN_TAGLIB=	Use Clementine builtin taglib support
 
-OPTIONS_DEFAULT=	AUDIOCD DEVICEKIT GIO GOOGLE_DRIVE LASTFM MTP SPOTIFY \
-			VISUALISATION WIIMOTEDEV
+OPTIONS_DEFAULT=	AUDIOCD DEVICEKIT GIO GOOGLE_DRIVE LASTFM MTP \
+			VISUALISATION WIIMOTEDEV MOODBAR
 
 .include <bsd.port.options.mk>
 
+.if ${PORT_OPTIONS:MDBUS}
+CMAKE_ARGS+=	-DENABLE_DBUS=ON
+.else
+CMAKE_ARGS+=	-DENABLE_DBUS=OFF
+.endif
+
+.if ${PORT_OPTIONS:MMOODBAR}
+CMAKE_ARGS+=	-DENABLE_MOODBAR=ON
+.else
+CMAKE_ARGS+=	-DENABLE_MOODBAR=OFF
+.endif
+
+.if ${PORT_OPTIONS:MUSE_BUILTIN_TAGLIB}
+CMAKE_ARGS+=    -DENABLE_USE_BUILTIN_TAGLIB=ON
+.else
+CMAKE_ARGS+=	-DENABLE_USE_BUILTIN_TAGLIB=OFF
+.endif
+
 .if ${PORT_OPTIONS:MAUDIOCD}
 CMAKE_ARGS+=	-DENABLE_AUDIOCD=ON
 LIB_DEPENDS+=	cdio:${PORTSDIR}/sysutils/libcdio
@@ -114,10 +138,10 @@ CMAKE_ARGS+=	-DENABLE_LIBMTP=OFF
 .endif
 
 .if ${PORT_OPTIONS:MSPOTIFY}
-CMAKE_ARGS+=	-DENABLE_SPOTIFY=ON
+CMAKE_ARGS+=	-DENABLE_SPOTIFY_BLOB=ON
 LIB_DEPENDS+=	qca:${PORTSDIR}/devel/qca
 .else
-CMAKE_ARGS+=	-DENABLE_SPOTIFY=OFF
+CMAKE_ARGS+=	-DENABLE_SPOTIFY_BLOB=OFF
 .endif
 
 .if ${PORT_OPTIONS:MVISUALISATION}
@@ -127,7 +151,8 @@ CMAKE_ARGS+=	-DENABLE_VISUALISATIONS=OFF
 .endif
 
 .if ${PORT_OPTIONS:MWIIMOTEDEV}
-CMAKE_ARGS+=	-DENABLE_WIIMOTEDEV=ON
+CMAKE_ARGS+=	-DENABLE_WIIMOTEDEV=ON \
+		-DENABLE_DBUS=ON
 .else
 CMAKE_ARGS+=	-DENABLE_WIIMOTEDEV=OFF
 .endif

Modified: head/audio/clementine-player/distinfo
==============================================================================
--- head/audio/clementine-player/distinfo	Sat Nov 30 02:27:05 2013	(r335259)
+++ head/audio/clementine-player/distinfo	Sat Nov 30 03:54:16 2013	(r335260)
@@ -1,2 +1,2 @@
-SHA256 (clementine-1.1.1.tar.gz) = a94dfbd4732155ff1d4f24bb792d9e4def5bf4a42dd6678638c0400217a6fda9
-SIZE (clementine-1.1.1.tar.gz) = 8557109
+SHA256 (clementine-1.2.0.tar.gz) = 563d00da4e893f7b1966ed137bcab28042151e31ea561cb7076047d3cad96f72
+MD5 (clementine-1.2.0.tar.gz) = 7dff2e11aedc2f1415ca0d4d79be71bf

Added: head/audio/clementine-player/files/patch-ext__libclementine-common__core__closure.cpp
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/audio/clementine-player/files/patch-ext__libclementine-common__core__closure.cpp	Sat Nov 30 03:54:16 2013	(r335260)
@@ -0,0 +1,20 @@
+--- ./ext/libclementine-common/core/closure.cpp.orig	2013-11-24 15:58:51.321696435 -0800
++++ ./ext/libclementine-common/core/closure.cpp	2013-11-24 15:59:00.552695416 -0800
+@@ -33,7 +33,7 @@
+ CallbackClosure::CallbackClosure(
+     QObject* sender,
+     const char* signal,
+-    std::tr1::function<void()> callback)
++    std::function<void()> callback)
+   : ClosureBase(new ObjectHelper(sender, signal, this)),
+     callback_(callback) {
+ }
+@@ -67,7 +67,7 @@
+ _detail::ClosureBase* NewClosure(
+     QObject* sender,
+     const char* signal,
+-    std::tr1::function<void()> callback) {
++    std::function<void()> callback) {
+   return new _detail::CallbackClosure(
+       sender, signal, callback);
+ }

Added: head/audio/clementine-player/files/patch-ext__libclementine-common__core__closure.h
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/audio/clementine-player/files/patch-ext__libclementine-common__core__closure.h	Sat Nov 30 03:54:16 2013	(r335260)
@@ -0,0 +1,42 @@
+--- ./ext/libclementine-common/core/closure.h.orig	2013-11-24 15:58:19.241698287 -0800
++++ ./ext/libclementine-common/core/closure.h	2013-11-24 15:58:38.634697259 -0800
+@@ -18,7 +18,7 @@
+ #ifndef CLOSURE_H
+ #define CLOSURE_H
+ 
+-#include <tr1/functional>
++#include <functional>
+ 
+ #include <QMetaMethod>
+ #include <QObject>
+@@ -158,12 +158,12 @@
+   CallbackClosure(
+       QObject* sender,
+       const char* signal,
+-      std::tr1::function<void()> callback);
++      std::function<void()> callback);
+ 
+   virtual void Invoke();
+ 
+  private:
+-  std::tr1::function<void()> callback_;
++  std::function<void()> callback_;
+ };
+ 
+ }  // namespace _detail
+@@ -194,13 +194,13 @@
+ _detail::ClosureBase* NewClosure(
+     QObject* sender,
+     const char* signal,
+-    std::tr1::function<void()> callback);
++    std::function<void()> callback);
+ 
+ template <typename... Args>
+ _detail::ClosureBase* NewClosure(
+     QObject* sender,
+     const char* signal,
+-    std::tr1::function<void(Args...)> callback,
++    std::function<void(Args...)> callback,
+     const Args&... args) {
+   return NewClosure(sender, signal, boost::bind(callback, args...));
+ }

Modified: head/audio/clementine-player/files/patch-src_CMakeLists.txt
==============================================================================
--- head/audio/clementine-player/files/patch-src_CMakeLists.txt	Sat Nov 30 02:27:05 2013	(r335259)
+++ head/audio/clementine-player/files/patch-src_CMakeLists.txt	Sat Nov 30 03:54:16 2013	(r335260)
@@ -1,43 +1,10 @@
---- src/CMakeLists.txt.orig	2012-10-25 09:57:06.000000000 +0400
-+++ src/CMakeLists.txt	2012-10-31 17:12:22.608404870 +0400
-@@ -1192,15 +1192,23 @@
-   endif (HAVE_SAC)
- endif (WIN32)
+--- src/CMakeLists.txt.orig	2013-10-20 17:40:58.416968707 +0000
++++ src/CMakeLists.txt	2013-10-20 17:41:24.671967496 +0000
+@@ -1322,6 +1322,7 @@
  
--if (LINUX)
-+if (LINUX AND NOT APPLE)
-   # Hack: the Gold linker pays attention to the order that libraries are
-   # specified on the link line.  -lX11 and -ldl are provided earlier in the link
-   # command but they're actually used by libraries that appear after them, so
-   # they end up getting ignored.  This appends them to the very end of the link
-   # line, ensuring they're always used.
-   find_package(X11)
--  target_link_libraries(clementine_lib ${X11_X11_LIB} ${CMAKE_DL_LIBS})
--endif (LINUX)
-+  if (LINUX)
-+    target_link_libraries(clementine_lib ${X11_X11_LIB} ${CMAKE_DL_LIBS})
-+  else (LINUX)
-+    if (${CMAKE_SYSTEM_NAME} MATCHES "FreeBSD")
-+      target_link_libraries(clementine_lib ${X11_X11_LIB})
-+    else (${CMAKE_SYSTEM_NAME} MATCHES "FreeBSD")
-+      target_link_libraries(clementine_lib ${X11_X11_LIB} ${CMAKE_DL_LIBS})
-+    endif (${CMAKE_SYSTEM_NAME} MATCHES "FreeBSD")
-+  endif (LINUX)
-+endif (LINUX AND NOT APPLE)
+ if (${CMAKE_SYSTEM_NAME} MATCHES "FreeBSD")
+   target_link_libraries(clementine execinfo)
++  set_target_properties(clementine PROPERTIES OUTPUT_NAME clementine-player)
+ endif (${CMAKE_SYSTEM_NAME} MATCHES "FreeBSD")
  
- add_dependencies(clementine_lib qtsingleapplication)
- 
-@@ -1227,6 +1235,13 @@
-   ${CLEMENTINE-WIN32-RESOURCES}
-   main.cpp
- )
-+if (UNIX AND NOT APPLE)
-+  if (${CMAKE_SYSTEM_NAME} MATCHES "FreeBSD")
-+    target_link_libraries(clementine execinfo)
-+    set_target_properties(clementine PROPERTIES OUTPUT_NAME clementine-player)
-+  endif (${CMAKE_SYSTEM_NAME} MATCHES "FreeBSD")
-+endif (UNIX AND NOT APPLE)
-+
  target_link_libraries(clementine
-   clementine_lib
- )

Added: head/audio/clementine-player/files/patch-src__playlistparsers__plsparser.cpp
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/audio/clementine-player/files/patch-src__playlistparsers__plsparser.cpp	Sat Nov 30 03:54:16 2013	(r335260)
@@ -0,0 +1,11 @@
+--- ./src/playlistparsers/plsparser.cpp.orig	2013-11-24 16:01:13.247686715 -0800
++++ ./src/playlistparsers/plsparser.cpp	2013-11-24 16:03:24.812677689 -0800
+@@ -46,7 +46,7 @@
+       // Use the title and length we've already loaded if any
+       if (!songs[n].title().isEmpty())
+         song.set_title(songs[n].title());
+-      if (!songs[n].length_nanosec() != -1)
++      if (songs[n].length_nanosec() != -1)
+         song.set_length_nanosec(songs[n].length_nanosec());
+ 
+       songs[n] = song;

Added: head/audio/clementine-player/files/patch-src__podcasts__podcastdownloader.h
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/audio/clementine-player/files/patch-src__podcasts__podcastdownloader.h	Sat Nov 30 03:54:16 2013	(r335260)
@@ -0,0 +1,11 @@
+--- ./src/podcasts/podcastdownloader.h.orig	2013-11-24 16:04:26.803673091 -0800
++++ ./src/podcasts/podcastdownloader.h	2013-11-24 16:04:40.226672104 -0800
+@@ -27,6 +27,8 @@
+ #include <QRegExp>
+ #include <QSet>
+ 
++#include <sys/time.h>
++
+ class Application;
+ class PodcastBackend;
+ 

Modified: head/audio/clementine-player/pkg-plist
==============================================================================
--- head/audio/clementine-player/pkg-plist	Sat Nov 30 02:27:05 2013	(r335259)
+++ head/audio/clementine-player/pkg-plist	Sat Nov 30 03:54:16 2013	(r335260)
@@ -7,6 +7,578 @@ share/kde4/services/clementine-feed.prot
 share/kde4/services/clementine-itms.protocol
 share/kde4/services/clementine-itpc.protocol
 share/kde4/services/clementine-zune.protocol
+share/clementine/projectm-presets/Geiss - Pistons.milk
+share/clementine/projectm-presets/Rovastar - The Shroomery.milk
+share/clementine/projectm-presets/Idiot - MOTIVATION!.milk
+share/clementine/projectm-presets/Rovastar - Fractopia (Fantic Dancing Lights Mix).milk
+share/clementine/projectm-presets/Geiss - Monotone Ripples.milk
+share/clementine/projectm-presets/Zylot - Ether Storm.milk
+share/clementine/projectm-presets/Zylot - De(-a)range(d)(ment) strain.milk
+share/clementine/projectm-presets/Rocke - Personal Comet.milk
+share/clementine/projectm-presets/Aderrasi - What Cannot Be Undone.milk
+share/clementine/projectm-presets/project.tga
+share/clementine/projectm-presets/Unchained - Jaundice.milk
+share/clementine/projectm-presets/Unchained - Cartoon Factory.milk
+share/clementine/projectm-presets/Rovastar & Geiss - Octoplasm.milk
+share/clementine/projectm-presets/DaNOnE - Highway to Heaven (rotating).milk
+share/clementine/projectm-presets/Rovastar - Hyperspace.milk
+share/clementine/projectm-presets/Rovastar - Attacking Freedom.milk
+share/clementine/projectm-presets/Unchained - Ghostlight Whisper.milk
+share/clementine/projectm-presets/Zylot - Rainbow Planet Under Attack.milk
+share/clementine/projectm-presets/Rozzor and Zylot - Associative Order.milk
+share/clementine/projectm-presets/Unchained - ReAwoke.milk
+share/clementine/projectm-presets/Mstress - Acoustic Nerve Impulses (Under Drug Effetcs (Hypn.milk
+share/clementine/projectm-presets/Geiss - Cepiasound.milk
+share/clementine/projectm-presets/Geiss - Flotsam.milk
+share/clementine/projectm-presets/Rovastar - Snapshot Of Space.milk
+share/clementine/projectm-presets/Geiss & Rovastar - Notions Of Tonality 2.milk
+share/clementine/projectm-presets/Krash - Framed Geometry.milk
+share/clementine/projectm-presets/Rovastar & Sperl - Tuxflower.prjm
+share/clementine/projectm-presets/Unchained - Jaded Emotion.milk
+share/clementine/projectm-presets/idiot - Nucleus.milk
+share/clementine/projectm-presets/Telek - Spiral Tabletop (New and Improved!).milk
+share/clementine/projectm-presets/Geiss - The Fatty Lumpkin Sunkle Tweaker.milk
+share/clementine/projectm-presets/Reenen - phoenix.milk
+share/clementine/projectm-presets/Aderrasi - Potion of Spirits.milk
+share/clementine/projectm-presets/Rovastar & Unchained - Voodoo Chess Magnet (Everglow Mix).milk
+share/clementine/projectm-presets/Rovastar - Altars Of Madness (Duel Mix).milk
+share/clementine/projectm-presets/Rozzor & Rovastar - Oozing Resistance (Waveform Mod).milk
+share/clementine/projectm-presets/Rovastar - Altars Of Madness.milk
+share/clementine/projectm-presets/idiot - Spectrum.milk
+share/clementine/projectm-presets/Geiss - Anomaly 2.milk
+share/clementine/projectm-presets/Rovastar - Inner Thoughts (Distant Memories Mix).milk
+share/clementine/projectm-presets/Unchained & Illusion - Dual Wave 3.milk
+share/clementine/projectm-presets/Jess - Trying To Trap A Twister.milk
+share/clementine/projectm-presets/Krash & Rovastar - Cerebral Demons (Distant Memory Mix).milk
+share/clementine/projectm-presets/Unchained - Beat Demo 2.1.milk
+share/clementine/projectm-presets/Geiss - High Dynamic Range.milk
+share/clementine/projectm-presets/Geiss - Four Kinds of Amphetamines.milk
+share/clementine/projectm-presets/Geiss - Starfish 2.milk
+share/clementine/projectm-presets/Geiss - Bass Zoom.milk
+share/clementine/projectm-presets/Rovastar & Che - Adela The Flower (Altars Of Madness Mix 2).milk
+share/clementine/projectm-presets/Rovastar - Space.milk
+share/clementine/projectm-presets/Unchained - Unclaimed Wreckage 2 (Shamanic).milk
+share/clementine/projectm-presets/Aderrasi - Contortion.milk
+share/clementine/projectm-presets/Rovastar & Telek - Altars of Madness (Rolling Oceans Mix).milk
+share/clementine/projectm-presets/Telek - Slow Shift Matrix (bb4.5).milk
+share/clementine/projectm-presets/Rovastar & Geiss - Dynamic Swirls 3 (Poltergiest Mix).milk
+share/clementine/projectm-presets/Rovastar & Unchained - Oddball World.milk
+share/clementine/projectm-presets/Rovastar & Geiss - Ice Planet.milk
+share/clementine/projectm-presets/Idiot & Zylot - Unhealthy Love (Idiot's STDs Mix).milk
+share/clementine/projectm-presets/Unchained - Housed In A Childish Mind.milk
+share/clementine/projectm-presets/Geiss - Bipolar 3.milk
+share/clementine/projectm-presets/Rovastar - Harlequin's Delight (Endless Tunnel Mix).milk
+share/clementine/projectm-presets/Bmelgren - Godhead.milk
+share/clementine/projectm-presets/Geiss - Ultrafast.milk
+share/clementine/projectm-presets/Aderrasi - Aimless (Spirogravity Mix).milk
+share/clementine/projectm-presets/Idiot24-7 - Ascending to heaven 2.milk
+share/clementine/projectm-presets/Rovastar - Altars Of Madness 4 (Spirit Of Twisted Madness M.milk
+share/clementine/projectm-presets/Geiss - Rocket.milk
+share/clementine/projectm-presets/Fvese - A Blur.milk
+share/clementine/projectm-presets/Geiss - Scary.milk
+share/clementine/projectm-presets/Krash & Illusion - Indecisive Mosaic.milk
+share/clementine/projectm-presets/Eo.S. - glowsticks v2 05 and proton lights (+Krash's beat code) _Phat_remix07 recursive demons.milk
+share/clementine/projectm-presets/Unchained - God Of The Game (Remix).milk
+share/clementine/projectm-presets/Che - Watch & Fly.milk
+share/clementine/projectm-presets/Geiss - Warp Of Dali 1.milk
+share/clementine/projectm-presets/Unchained & Rovastar - Wormhole Pillars.milk
+share/clementine/projectm-presets/Geiss & Sperl - Feedback (projectM idle HDR mix).prjm
+share/clementine/projectm-presets/baked - mushroom rainbows[2].milk
+share/clementine/projectm-presets/Bmelgren - Pentultimate Nerual Slipstream (Tweak 2).milk
+share/clementine/projectm-presets/Geiss - Eddies 2.milk
+share/clementine/projectm-presets/Idiot - 9-7-02 (Remix) (sustain fixed).milk
+share/clementine/projectm-presets/Studio Music and Unchained - Rapid Alteration.milk
+share/clementine/projectm-presets/Geiss - Runoff.milk
+share/clementine/projectm-presets/Aderrasi - Antidote.milk
+share/clementine/projectm-presets/Telek - Slow Thing (Spiderman Mix).milk
+share/clementine/projectm-presets/Geiss - Microcosm.milk
+share/clementine/projectm-presets/StudioMusic - It's Only Make Believe.milk
+share/clementine/projectm-presets/Geiss - Swirl 1.milk
+share/clementine/projectm-presets/Unchained & Rovastar - Slow Solstice.milk
+share/clementine/projectm-presets/Studio Music - Cherished Desires.milk
+share/clementine/projectm-presets/Geiss - Digital Smoke.milk
+share/clementine/projectm-presets/Geiss - Vortex 2.milk
+share/clementine/projectm-presets/Rovastar - Multiverse Starfield 3.milk
+share/clementine/projectm-presets/Geiss - El Cubismo.milk
+share/clementine/projectm-presets/Geiss - Swirlie 4.milk
+share/clementine/projectm-presets/nil - Vortex of Vortices.milk
+share/clementine/projectm-presets/Bmelgren & Krash - Rainbow Orb Peacock (Centred Journey Mix.milk
+share/clementine/projectm-presets/EMPR - Random - Turbulence Sandwich.milk
+share/clementine/projectm-presets/Tschoey - Music Flower.milk
+share/clementine/projectm-presets/PieturP - triptrap_(ultimate-trip-mix).milk
+share/clementine/projectm-presets/Rovastar & Fvese - Stranger Minds (Astral Mix).milk
+share/clementine/projectm-presets/Geiss - Sinews 2.milk
+share/clementine/projectm-presets/Geiss - Trampoline.milk
+share/clementine/projectm-presets/Aderrasi - Contortion (Xenomorph Mix).milk
+share/clementine/projectm-presets/Rovastar - The Chaos Of Colours.milk
+share/clementine/projectm-presets/Rovastar - A Million Miles from Earth (Pathfinder Mix).milk
+share/clementine/projectm-presets/Geiss - Bright Fiber Matrix 2.milk
+share/clementine/projectm-presets/Rovastar - Explosive Minds.milk
+share/clementine/projectm-presets/Rovastar - Parallel Universe.milk
+share/clementine/projectm-presets/Rovastar & Unchained - Demonology (Vampire Soul Mix).milk
+share/clementine/projectm-presets/Rovastar - Harlequin's Fractal Encounter 2.milk
+share/clementine/projectm-presets/Zylot - Azirphaeli's Mirror.milk
+share/clementine/projectm-presets/Fvese - New meetings.milk
+share/clementine/projectm-presets/Geiss - Music Box.milk
+share/clementine/projectm-presets/Unchained - Working the Grid.milk
+share/clementine/projectm-presets/EMPR - Random - Changing Polyevolution.milk
+share/clementine/projectm-presets/Eo.S. - glowsticks v2 04 music minimal.milk
+share/clementine/projectm-presets/Rovastar - Cosmic Mosaic (Active Mix).milk
+share/clementine/projectm-presets/illusion & studio music - charged bliss.milk
+share/clementine/projectm-presets/Rovastar - Dreamcatcher.milk
+share/clementine/projectm-presets/Geiss - De La Moutard 2.milk
+share/clementine/projectm-presets/Geiss - Solar Flare (Reptile).milk
+share/clementine/projectm-presets/Rovastar - Hallucinogenic Pyramids (Beat Time Mix).milk
+share/clementine/projectm-presets/Zylot - Rush.milk
+share/clementine/projectm-presets/Zylot - The Deeper.milk
+share/clementine/projectm-presets/Rovastar & Che - Asylum Animations.milk
+share/clementine/projectm-presets/Aderrasi - Floater Society.milk
+share/clementine/projectm-presets/Aderrasi - Blender.milk
+share/clementine/projectm-presets/Phat+fiShbRaiN+Eo.S_Mandala_Chasers_remix - www.eos4life.com.milk
+share/clementine/projectm-presets/Zylot & Rovastar - Crystal Ball (Cerimonial Decor Mix).milk
+share/clementine/projectm-presets/Geiss - Davod The Pod.milk
+share/clementine/projectm-presets/Rovastar - Fractopia (Galaxy Swirl Mix).milk
+share/clementine/projectm-presets/Krash - War Machine (Shifting Complexity Mix).milk
+share/clementine/projectm-presets/Idiot - Cortex (Spiritual Visions Mix).milk
+share/clementine/projectm-presets/Zylot - Inside The Planar Portal.milk
+share/clementine/projectm-presets/Unchained - Resistance.milk
+share/clementine/projectm-presets/Geiss - Octopus.milk
+share/clementine/projectm-presets/Geiss - Luz.milk
+share/clementine/projectm-presets/Zylot - Block Of Sound (Abstract Architecture Mix).milk
+share/clementine/projectm-presets/PieturP - triptrap_(getting_concrete_visions_through_a_diafragma_version).milk
+share/clementine/projectm-presets/Rovastar - Omnipresence Resurrection (Raw Mix).milk
+share/clementine/projectm-presets/Geiss - Demonic Distortion.milk
+share/clementine/projectm-presets/Zylot & Mstress - Toxic Storm On Acid Sea (The End Of The W.milk
+share/clementine/projectm-presets/Rovastar - Tripmaker.milk
+share/clementine/projectm-presets/Unchained & Rovastar - Triptionary.milk
+share/clementine/projectm-presets/che - burning hus (oil mix).milk
+share/clementine/projectm-presets/Aderrasi - Agitator.milk
+share/clementine/projectm-presets/Geiss - Journey.milk
+share/clementine/projectm-presets/Krash & TEcHNO - Rhythmic Mantas.milk
+share/clementine/projectm-presets/Fvese - Zoom Effects (Remix 2).milk
+share/clementine/projectm-presets/Geiss - Julia Fractal 2.milk
+share/clementine/projectm-presets/Geiss - Smoke.milk
+share/clementine/projectm-presets/Geiss - Supernova 2.milk
+share/clementine/projectm-presets/Rovastar - Frozen Rapture .milk
+share/clementine/projectm-presets/Geiss - Space Voyage.milk
+share/clementine/projectm-presets/Rovastar & Unchained - Centre Of Gravity.milk
+share/clementine/projectm-presets/nil - Can't Stop the Blithering.milk
+share/clementine/projectm-presets/headphones.tga
+share/clementine/projectm-presets/Geiss - Swirlie 5.milk
+share/clementine/projectm-presets/Unchained & Illusion - Logic Morph.milk
+share/clementine/projectm-presets/Fvese - Window Reflection 6.milk
+share/clementine/projectm-presets/Eo.S.+Phat - Arm_upgrades - transformer.milk
+share/clementine/projectm-presets/Unchained - Custom Gramatix (Remix).milk
+share/clementine/projectm-presets/Rovastar & Illusion - Shifting Sphere.milk
+share/clementine/projectm-presets/Rovastar & Krash - Interwoven (Contra Mix).milk
+share/clementine/projectm-presets/Rovastar - Solarized Space.milk
+share/clementine/projectm-presets/Rovastar - Magic Carpet.milk
+share/clementine/projectm-presets/Rozzor and che - Inside the House of nil.milk
+share/clementine/projectm-presets/Rovastar - Kalideostars.milk
+share/clementine/projectm-presets/Geiss - Octopus Blue.milk
+share/clementine/projectm-presets/Geiss - Dynamic Swirls 2.milk
+share/clementine/projectm-presets/che - terracarbon stream.milk
+share/clementine/projectm-presets/Aderrasi - Spillswirl.milk
+share/clementine/projectm-presets/Rovastar & Geiss - Dynamic Swirls 3 (Voyage Of Twisted Soul.milk
+share/clementine/projectm-presets/Phat+fiShbRaiN+Eo.S_Mandala_Chasers_remix.milk
+share/clementine/projectm-presets/Rovastar - Harlequin's Spirit.milk
+share/clementine/projectm-presets/Telek - Lost Star (Flash).milk
+share/clementine/projectm-presets/Telek - Spokes (More Dynamic).milk
+share/clementine/projectm-presets/Krash - Dynamic Borders 1.milk
+share/clementine/projectm-presets/Illusion - Heavenly Eye.milk
+share/clementine/projectm-presets/Rovastar & Telek - Cosmic Fireworks.milk
+share/clementine/projectm-presets/Geiss - Shift.milk
+share/clementine/projectm-presets/Aderrasi - Antidote (Side Effects Mix).milk
+share/clementine/projectm-presets/Geiss - Swirlie 1.milk
+share/clementine/projectm-presets/Fvese - Quicksand.milk
+share/clementine/projectm-presets/Geiss - Calligraphy.milk
+share/clementine/projectm-presets/Krash - 3D Shapes Demo.milk
+share/clementine/projectm-presets/Krash - 3D Shapes Demo 2.milk
+share/clementine/projectm-presets/Geiss - Greenland.milk
+share/clementine/projectm-presets/Krash - Windowframe To Mega Swirl 2.milk
+share/clementine/projectm-presets/Illusion - Figure Eight.milk
+share/clementine/projectm-presets/Rovastar - Bellanova (New Wave Mix).milk
+share/clementine/projectm-presets/Aderrasi - Airhandler (Menagerie Mix).milk
+share/clementine/projectm-presets/Illusion & Rovastar - Snowflake Return.milk
+share/clementine/projectm-presets/Rovastar - VooV's Movement (After Dark Mix).milk
+share/clementine/projectm-presets/Rovastar - Mosaics Of Ages.milk
+share/clementine/projectm-presets/Rovastar and Unchained - Life After Pie (Remix).milk
+share/clementine/projectm-presets/Geiss - Inkblot.milk
+share/clementine/projectm-presets/Rovastar - Altars Of Madness 2 (Frozen Time Mix).milk
+share/clementine/projectm-presets/Unchained - A Matter Of Taste (Remix).milk
+share/clementine/projectm-presets/Rovastar & Idiot24-7 - Mixed Emotions (Harlequin's Shame Mi.milk
+share/clementine/projectm-presets/Zylot - Waves Of Blood.milk
+share/clementine/projectm-presets/Eo.S. - repeater 15 - kaleidoscope b.milk
+share/clementine/projectm-presets/Rovastar - Harlequin's Dynamic Fractal 1.milk
+share/clementine/projectm-presets/StudioMusic & Unchained - So Much Love.milk
+share/clementine/projectm-presets/Mstress & Juppy - Dancers In The Dark.milk
+share/clementine/projectm-presets/Rovastar - Altars Of Madness (A Million Miles From Earth Mi.milk
+share/clementine/projectm-presets/Aderrasi - Antidote (Aqualung Mix).milk
+share/clementine/projectm-presets/Rovastar - Dark Ritual (Star Of Destiny Denied Mix).milk
+share/clementine/projectm-presets/Rovastar - Clouded Judgement 3.milk
+share/clementine/projectm-presets/Geiss - Constant Velocity.milk
+share/clementine/projectm-presets/EvilJim - Follow the ball.milk
+share/clementine/projectm-presets/Geiss - Mega Swirl 1.milk
+share/clementine/projectm-presets/Unchained & CTho - Bad Vibes.milk
+share/clementine/projectm-presets/Geiss - Warp Of Dali Bright.milk
+share/clementine/projectm-presets/Aderrasi - Aimless (Gravity Directive Mix).milk
+share/clementine/projectm-presets/Rovastar & Unchained - Ambrosia Mystic (Dark Heart Mix).milk
+share/clementine/projectm-presets/Illusion & Unchained - Invade My Mind.milk
+share/clementine/projectm-presets/Illusion & Unchained - Frozen Eye 1.milk
+share/clementine/projectm-presets/Geiss - Volume Zoom.milk
+share/clementine/projectm-presets/Geiss - Cycloid 1.milk
+share/clementine/projectm-presets/Geiss - Galaxy 1.milk
+share/clementine/projectm-presets/Aderrasi - Crystal Storm.milk
+share/clementine/projectm-presets/Rovastar - Cosmic Echoes 1.milk
+share/clementine/projectm-presets/Rovastar - Inner Thoughts (Strange Cargo Mix).milk
+share/clementine/projectm-presets/Geiss - Tornado.milk
+share/clementine/projectm-presets/Unchained - Goo Kung Fu.milk
+share/clementine/projectm-presets/Unchained - Morat's Final Voyage.milk
+share/clementine/projectm-presets/Geiss - Cosmic Dust 2.milk
+share/clementine/projectm-presets/Zylot & Krash - Extremophile.milk
+share/clementine/projectm-presets/Krash & Illusion - Spiral Movement.milk
+share/clementine/projectm-presets/Telek - Slow Shift Matrix (Ethereal Drift).milk
+share/clementine/projectm-presets/Telek - Directive Swagger (Spectral Inferno) (fix...) maybe.milk
+share/clementine/projectm-presets/Telek EMPR - Scanner - Trust me I've got a Melways.milk
+share/clementine/projectm-presets/Rovastar & Geiss - Dynamic Swirls 3 (Broken Destiny Mix).milk
+share/clementine/projectm-presets/Krash & Idiot - Memories Of The Castle.milk
+share/clementine/projectm-presets/Fvese - Round and Round (geiss gamma mix).milk
+share/clementine/projectm-presets/Aderrasi - Anchorpulse (Pulse Of A Ghast II Mix).milk
+share/clementine/projectm-presets/Krash & Rovastar - A Million Miles from Earth (Ripple Mix).milk
+share/clementine/projectm-presets/Rovastar - Altars Of Madness (Boxfresh Mix).milk
+share/clementine/projectm-presets/Geiss - Pelota De Fuego.milk
+share/clementine/projectm-presets/Rovastar - A Million Miles from Earth.milk
+share/clementine/projectm-presets/Geiss - Heavenly 1.milk
+share/clementine/projectm-presets/Aderrasi - Causeway Of Dreams.milk
+share/clementine/projectm-presets/Rovastar and Unchained - Braindance Visions.milk
+share/clementine/projectm-presets/Rovastar & Krash - Flowing Synergy.milk
+share/clementine/projectm-presets/Idiot - Texture Boxes (Remix 2).milk
+share/clementine/projectm-presets/Zylot - Digiscape Advanced Processor.milk
+share/clementine/projectm-presets/EMPR - Random - Look mama I'm on TV! 2.milk
+share/clementine/projectm-presets/Eo.S.+Phat Cool Bug v2 + (Krash's beat detection).milk
+share/clementine/projectm-presets/Zylot - String.milk
+share/clementine/projectm-presets/Rovastar - Biohazard Warning.milk
+share/clementine/projectm-presets/nil - Disco Comet.milk
+share/clementine/projectm-presets/Rovastar - Lost Souls of the Bermuda Triangle (Darkest Soul.milk
+share/clementine/projectm-presets/Rovastar & Idiot24-7 - Balk Acid.milk
+share/clementine/projectm-presets/Geiss - Tube.milk
+share/clementine/projectm-presets/Rovastar & StudioMusic - More Cherished Desires.milk
+share/clementine/projectm-presets/Geiss - Reducto Ad Nauseum.milk
+share/clementine/projectm-presets/Zylot - Tangent Universe (Collapsed With Artifact Mix).milk
+share/clementine/projectm-presets/Krash - Pulse.milk
+share/clementine/projectm-presets/Geiss - Bass Kaleidosphere.milk
+share/clementine/projectm-presets/Geiss - Planet 2.milk
+share/clementine/projectm-presets/Unchained - Beat Demo 2.0.milk
+share/clementine/projectm-presets/Rovastar & Zylot - Passion Flower.milk
+share/clementine/projectm-presets/Mstress - Snowing Fiber City.milk
+share/clementine/projectm-presets/Geiss - Bipolar 2.milk
+share/clementine/projectm-presets/Rovastar - Dark Ritual (Star Of Destiny Mix).milk
+share/clementine/projectm-presets/Zylot - Wisps.milk
+share/clementine/projectm-presets/Rovastar and Krash - Hallucinogenic Pyramids (Extra Beat Ti.milk
+share/clementine/projectm-presets/Rovastar - The Chaos Of Colours (Drifting Mix).milk
+share/clementine/projectm-presets/Unchained - Non-Professional Music Analyzer.milk
+share/clementine/projectm-presets/Illusion & Che - Return Of The King.milk
+share/clementine/projectm-presets/Unchained - Beat Demo 10.milk
+share/clementine/projectm-presets/Geiss - Warp Of Dali 2.milk
+share/clementine/projectm-presets/TEcHNO and SandStorm - Psychodelic Highway.milk
+share/clementine/projectm-presets/Aderrasi - Circlefacade.milk
+share/clementine/projectm-presets/Rovastar - Harlequin's Fractal Encounter.milk
+share/clementine/projectm-presets/Rovastar & Aderrasi - Oceanic Bassograph (Underwater Mix).milk
+share/clementine/projectm-presets/Rozzor & Che - Inside The House Of Nil.milk
+share/clementine/projectm-presets/Unchained - Games With Light & Sound.milk
+share/clementine/projectm-presets/Aderrasi - Elastoid.milk
+share/clementine/projectm-presets/Unchained - Beat Demo 1.0.milk
+share/clementine/projectm-presets/Rovastar & Geiss - Dynamic Swirls 3 (Smoking Delusion Mix).milk
+share/clementine/projectm-presets/Unchained - French Clothing.milk
+share/clementine/projectm-presets/Telek - Flicker (xis).milk
+share/clementine/projectm-presets/Telek - Target Practice (tracking retreat slide).milk
+share/clementine/projectm-presets/Rovastar & StudioMusic - Twisted Spider Web.milk
+share/clementine/projectm-presets/Rovastar - Kalideostars (Round  Round Mix).milk
+share/clementine/projectm-presets/Idiot - Texture Boxes (Remix).milk
+share/clementine/projectm-presets/Geiss - Tokamak.milk
+share/clementine/projectm-presets/EMPR - Random - They're so cute Dad can I keep one!.milk
+share/clementine/projectm-presets/Zylot and Rovastar - Iouo Stone Morphic Fusion.milk
+share/clementine/projectm-presets/Geiss - Two-Pointed Pulsagon.milk
+share/clementine/projectm-presets/StudioMusic & Unchained - Entity.milk
+share/clementine/projectm-presets/Idiot - What Is.milk
+share/clementine/projectm-presets/Geiss - Eddies 1.milk
+share/clementine/projectm-presets/Geiss - Toy.milk
+share/clementine/projectm-presets/Geiss - Swirl 2.milk
+share/clementine/projectm-presets/Rovastar - Altars Of Harlequin's Maddess.milk
+share/clementine/projectm-presets/Telek - Sine Wave.milk
+share/clementine/projectm-presets/Geiss - Vortex 1.milk
+share/clementine/projectm-presets/Rovastar & Zylot - Azirphaeli's Plan (Multiplan Mix).milk
+share/clementine/projectm-presets/Geiss - Space Voyage Bright.milk
+share/clementine/projectm-presets/Geiss - Three Kinds Of Amphetamines.milk
+share/clementine/projectm-presets/Geiss - Solar Flare.milk
+share/clementine/projectm-presets/Rozzor & Aderrasi - Canon.milk
+share/clementine/projectm-presets/shifter - escape the worm - Eo.S. + Phat - Before_It_Eats_Your_Brain_Mix_v2.milk
+share/clementine/projectm-presets/Rovastar - Hyperspace (Frozen Rapture Mix).milk
+share/clementine/projectm-presets/Geiss - Fiberglass.milk
+share/clementine/projectm-presets/Rovastar & Unchained - Xen Traffic.milk
+share/clementine/projectm-presets/Rovastar - Future Speakers.milk
+share/clementine/projectm-presets/Rovastar & Fvese - Paranormal Static.milk
+share/clementine/projectm-presets/Rovastar - Harlequin's Dynamic Fractal (Dual Spiral Mix ).milk
+share/clementine/projectm-presets/Geiss - Sinews 1.milk
+share/clementine/projectm-presets/Aderrasi - Ashes Of Air (Remix).milk
+share/clementine/projectm-presets/Geiss and Rovastar - The Chaos Of Colours (sprouting diment.milk
+share/clementine/projectm-presets/Bmelgren & Krash - Rainbow Orb Peacock (Lonely Signal Gone .milk
+share/clementine/projectm-presets/Unchained - Unclaimed Wreckage.milk
+share/clementine/projectm-presets/Unchained - All You Can Eat.milk
+share/clementine/projectm-presets/Redi Jedi - acid in your brain.milk
+share/clementine/projectm-presets/Rovastar - twisted bytes.milk
+share/clementine/projectm-presets/Rovastar & Rocke - Headspin.milk
+share/clementine/projectm-presets/Geiss - Space Voyage (High-Warp).milk
+share/clementine/projectm-presets/Aderrasi - Songflower (Moss Posy).milk
+share/clementine/projectm-presets/Rovastar - Timeless Voyage.milk
+share/clementine/projectm-presets/Geiss - Bright Fiber Matrix 1.milk
+share/clementine/projectm-presets/Geiss - Octopus Gold with Dots.milk
+share/clementine/projectm-presets/Rovastar & Geiss - Dynamic Swirls 3 (Mysticial Awakening Mi.milk
+share/clementine/projectm-presets/Idiot & Che - Various Abstract Effects.milk
+share/clementine/projectm-presets/Rovastar & Rocke - Sugar Spun Sister.milk
+share/clementine/projectm-presets/Rovastar - Forgotten Moon.milk
+share/clementine/projectm-presets/Aderrasi - Anchorpulse (Verified Mix).milk
+share/clementine/projectm-presets/Rovastar - Halcyon Dreams 3.milk
+share/clementine/projectm-presets/Geiss - Serpent.milk
+share/clementine/projectm-presets/Geiss - Octopus Fat and Ever Changing.milk
+share/clementine/projectm-presets/Rovastar - Oozing Resistance.milk
+share/clementine/projectm-presets/Geiss - Quasilinear Submanifolds.milk
+share/clementine/projectm-presets/Rovastar & Zylot - Sea Of Zigrot.milk
+share/clementine/projectm-presets/Eo.S. + Phat - chasers 18 hallway.milk
+share/clementine/projectm-presets/Zylot & Idiot - ATan2 Demo (Spiraling Mad Mix).milk
+share/clementine/projectm-presets/Unchained - Beat Demo (Demonology Mix).milk
+share/clementine/projectm-presets/CrystalHigh - mad ravetriping.milk
+share/clementine/projectm-presets/Krash - Digital Flame.milk
+share/clementine/projectm-presets/Geiss - Octopus Gold.milk
+share/clementine/projectm-presets/Geiss - De La Moutard 1.milk
+share/clementine/projectm-presets/Aderrasi - Airs (Windy Mix).milk
+share/clementine/projectm-presets/Rovastar - Kalideostars (Altars Of Madness MIx).milk
+share/clementine/projectm-presets/M.tga
+share/clementine/projectm-presets/Unchained - Goofy Beat Detection.milk
+share/clementine/projectm-presets/Rovastar - Sea Shells.milk
+share/clementine/projectm-presets/Unchained - Making a Science of It 4.milk
+share/clementine/projectm-presets/Rovastar - Fractopia (Upspoken Mix)_Phat_Speak_When_Spoken_2.milk
+share/clementine/projectm-presets/Geiss - Swirlie 3.milk
+share/clementine/projectm-presets/Telek - Flicker.milk
+share/clementine/projectm-presets/Idiot24-7 - Meeting place.milk
+share/clementine/projectm-presets/Zylot & Aderrasi - Oceanic Bassograph (New Jersey Shore Mix.milk
+share/clementine/projectm-presets/Rovastar - Harlequin's Dynamic Fractal 3.milk
+share/clementine/projectm-presets/StudioMusic & Unchained - Wrenched Fate.milk
+share/clementine/projectm-presets/Idiot - Madness Within The Void (Remix).milk
+share/clementine/projectm-presets/Geiss - Surface.milk
+share/clementine/projectm-presets/Illusion & Rovastar - Clouded Bottle.milk
+share/clementine/projectm-presets/Aderrasi - Flowing Form.milk
+share/clementine/projectm-presets/Aderrasi - Causeway Of Dreams (Nightmare Mix).milk
+share/clementine/projectm-presets/Unchained - Cranked On Failure.milk
+share/clementine/projectm-presets/Zylot & Mstress - Celebrate.milk
+share/clementine/projectm-presets/Geiss - Mega Swirl 3.milk
+share/clementine/projectm-presets/Geiss - Aieeeeee!!!.milk
+share/clementine/projectm-presets/Geiss - Script.milk
+share/clementine/projectm-presets/Unchained - Deeper Logic.milk
+share/clementine/projectm-presets/StudioMusic - Harmonic Bliss (elated mix).milk
+share/clementine/projectm-presets/Rovastar & Geiss - Approach (Vectrip Mix).milk
+share/clementine/projectm-presets/idiot - Some big word I learned.milk
+share/clementine/projectm-presets/Idiot - Tentacle Dreams (Remix).milk
+share/clementine/projectm-presets/Geiss - Waterfall.milk
+share/clementine/projectm-presets/idiot - Sinful Code (unchained style).milk
+share/clementine/projectm-presets/Illusion & Che - The Piper.milk
+share/clementine/projectm-presets/Geiss - Festive.milk
+share/clementine/projectm-presets/Geiss - Approach.milk
+share/clementine/projectm-presets/[Ishan] - Life in the drains.milk
+share/clementine/projectm-presets/Aderrasi - Making Time (Swamp Mix).milk
+share/clementine/projectm-presets/Krash - Twisting Indecision.milk
+share/clementine/projectm-presets/Zylot - S Pulse Virus.milk
+share/clementine/projectm-presets/Rovastar - Harlequin's Spirit (Twisted Mix).milk
+share/clementine/projectm-presets/Geiss - Bipolar 4.milk
+share/clementine/projectm-presets/Rovastar - Pandora's Volcano.milk
+share/clementine/projectm-presets/Unchained - Free to Feel (Valium Remix).milk
+share/clementine/projectm-presets/nil - Cid and Lucy.milk
+share/clementine/projectm-presets/Geiss - Diffraction.milk
+share/clementine/projectm-presets/Rozzor - Learning Curve (Invert tweak).milk
+share/clementine/projectm-presets/Rovastar - Harlequin's Dynamic Fractal (Crazed Spiral Mix).milk
+share/clementine/projectm-presets/Rovastar & Krash - Cerebral Demons.milk
+share/clementine/projectm-presets/Redi Jedi - multiple points of origin, one destination.milk
+share/clementine/projectm-presets/Rovastar & Rocke - Answer.42 (Trippy S. Mix).milk
+share/clementine/projectm-presets/nil - Can't Stop the Cramming.milk
+share/clementine/projectm-presets/Fvese - simple.milk
+share/clementine/projectm-presets/Rozzor and StudioMusic - Vertigyny (Geiss shape mod).milk
+share/clementine/projectm-presets/Rovastar - Fractopia (Upspoken Mix).milk
+share/clementine/projectm-presets/Geiss - Descent.milk
+share/clementine/projectm-presets/Idiot - Typomatic (Remix 2).milk
+share/clementine/projectm-presets/Geiss - Anomaly 1.milk
+share/clementine/projectm-presets/Krash & Zylot - Inside The Planar Portal (Indecision Mix).milk
+share/clementine/projectm-presets/Eo.S. - glowsticks v2 03 music.milk
+share/clementine/projectm-presets/Rovastar - Altars Of Madness (Surealist Mix).milk
+share/clementine/projectm-presets/Geiss - Heavenly 3.milk
+share/clementine/projectm-presets/Rovastar - The Awakening.milk
+share/clementine/projectm-presets/Geiss - Nautilus.milk
+share/clementine/projectm-presets/Geiss - Oldskool Mellowstyle.milk
+share/clementine/projectm-presets/Idiot - What Shall Come.milk
+share/clementine/projectm-presets/Geiss - Sound And The Fury.milk
+share/clementine/projectm-presets/Aderrasi - Chromatic Abyss (The Other Side).milk
+share/clementine/projectm-presets/Geiss - Three And A Half Kinds Of Amphetamines.milk
+share/clementine/projectm-presets/Aderrasi - Candy Avian.milk
+share/clementine/projectm-presets/Krash & Rovastar - Cerebral Demons - Phat + Eo.S. hall of ghouls Remix.milk
+share/clementine/projectm-presets/Aderrasi - Bitterfeld (Crystal Border Mix).milk
+share/clementine/projectm-presets/Rovastar - Chapel Of Ghouls.milk
+share/clementine/projectm-presets/Rozzor and Rovastar - Altars Of Madness 3 (ooze tweak).milk
+share/clementine/projectm-presets/Rovastar - Starquake (Sunquake Mix).milk
+share/clementine/projectm-presets/Geiss - Hovering.milk
+share/clementine/projectm-presets/Unchained & Che - Oddnezz 3.milk
+share/clementine/projectm-presets/Unchained & Che - Oddnezz 4 (Done it again).milk
+share/clementine/projectm-presets/Unchained - Beat Demo 2.2.milk
+share/clementine/projectm-presets/Geiss - Downward Spiral.milk
+share/clementine/projectm-presets/Geiss - Eggs.milk
+share/clementine/projectm-presets/Unchained - Bad Karma Oddnezz Style.milk
+share/clementine/projectm-presets/Rovastar & Fvese - Dark Subconscious.milk
+share/clementine/projectm-presets/Rovastar - Inner Thoughts (Dark Secret Mix).milk
+share/clementine/projectm-presets/Geiss - Starfish 1.milk
+share/clementine/projectm-presets/Rovastar - VooV's Movement.milk
+share/clementine/projectm-presets/Rovastar - Space (Twisted Dimension Mix).milk
+share/clementine/projectm-presets/Unchained - Subjective Experience Of The Manifold.milk
+share/clementine/projectm-presets/Geiss - Pinch.milk
+share/clementine/projectm-presets/Eo.S. - glowsticks v2 05 and proton lights (+Krash's beat code) _Phat_remix02b.milk
+share/clementine/projectm-presets/Geiss - Solar Flare (Blue).milk
+share/clementine/projectm-presets/Unchained - Perverted Dialect.milk
+share/clementine/projectm-presets/Geiss - Destruction.milk
+share/clementine/projectm-presets/Rovastar - Decreasing Dreams (Extended Movement Mix).milk
+share/clementine/projectm-presets/Rovastar & Geiss - Octotrip (MultiTrip Mix).milk
+share/clementine/projectm-presets/Bmelgren - Take This Highway.milk
+share/clementine/projectm-presets/Aderrasi - Anomalous Material Science (Pure Splinter Mix).milk
+share/clementine/projectm-presets/nil - Singularity in My Oscilloscope.milk
+share/clementine/projectm-presets/Unchained - Shaping The Grid.milk
+share/clementine/projectm-presets/Geiss - Mega Swirl 2.milk
+share/clementine/projectm-presets/StudioMusic - Twisted Galaxy.milk
+share/clementine/projectm-presets/Geiss - Cycloid 2.milk
+share/clementine/projectm-presets/Rovastar - Cosmic Echoes 2.milk
+share/clementine/projectm-presets/Geiss - Flower.milk
+share/clementine/projectm-presets/Geiss - Galaxy 2.milk
+share/clementine/projectm-presets/Zylot - Global Earthquake.milk
+share/clementine/projectm-presets/Krash & Rovastar - The Devil Is In The Details.milk
+share/clementine/projectm-presets/Geiss - Feedback.milk
+share/clementine/projectm-presets/Rozzor and Idiot - Any Other Deep Rising.milk
+share/clementine/projectm-presets/Geiss - Cosmic Dust 1.milk
+share/clementine/projectm-presets/Eo.S. - repeater 05 - rave on acid.milk
+share/clementine/projectm-presets/Unchained - Picture Of Poison.milk
+share/clementine/projectm-presets/Geiss - Bipolar 5.milk
+share/clementine/projectm-presets/Illusion & Unchained - Re-Enter Homeworld.milk
+share/clementine/projectm-presets/Aderrasi - Bow To Gravity.milk
+share/clementine/projectm-presets/Eo.S. - heater core C_Phat's_class + sparks_mix.milk
+share/clementine/projectm-presets/idiot - Nothing Yet - 03 - The worst of the pack.milk
+share/clementine/projectm-presets/Zylot - De(-a)range(d)(ment) complex.milk
+share/clementine/projectm-presets/StudioMusic Aderrasi & nil - LA movement (Intellectual Sens.milk
+share/clementine/projectm-presets/Rovastar & Geiss - Dynamic Swirls 3 (Smoke Mix).milk
+share/clementine/projectm-presets/Geiss - Iris.milk
+share/clementine/projectm-presets/Geiss - Cruzin'.milk
+share/clementine/projectm-presets/Zylot - Block Of Sound (Fractal Construction Mix).milk
+share/clementine/projectm-presets/Fvese & Idiot24-7 - Rearview Mirror.milk
+share/clementine/projectm-presets/Unchained - Unified Drag 2.milk
+share/clementine/projectm-presets/Geiss - Symmetry.milk
+share/clementine/projectm-presets/Rovastar - Omnipresence Resurrection.milk
+share/clementine/projectm-presets/Geiss - Heavenly 2.milk
+share/clementine/projectm-presets/Rovastar & Fvese - Mosaic Waves.milk
+share/clementine/projectm-presets/Unchained - Invariant Under Rigorous Motions.milk
+share/clementine/projectm-presets/Krash and Rovastar - Rainbow Orb.milk
+share/clementine/projectm-presets/Geiss - Octopus Ever Changing.milk
+share/clementine/projectm-presets/Geiss - Bonfire.milk
+share/clementine/projectm-presets/Geiss - Blasto.milk
+share/clementine/projectm-presets/Eo.S. - heater core C_Phat's_on route_mix+beam.milk
+share/clementine/projectm-presets/TobiasWolfBoi - The Pit.milk
+share/clementine/projectm-presets/Rovastar - LabFunk.milk
+share/clementine/projectm-presets/Krash & Rovastar - Altars Of Madness (Mad Ocean Mix).milk
+share/clementine/projectm-presets/StudioMusic - Numerosity.milk
+share/clementine/projectm-presets/Geiss - Shake.milk
+share/clementine/projectm-presets/Unchained - Painful Plasma (Multi-Wave Mirrored Rage) -- Ro.milk
+share/clementine/projectm-presets/Rovastar & Fvese - Deadly Flower.milk
+share/clementine/projectm-presets/Rovastar - Inner Thoughts (Frantic Thoughts Mix).milk
+share/clementine/projectm-presets/Geiss & Rovastar - Tokamak (Naked Intrusion Mix).milk
+share/clementine/projectm-presets/Zylot - The Inner Workings of my New Computer.milk
+share/clementine/projectm-presets/Rovastar - Cosmic Havoc.milk
+share/clementine/projectm-presets/Unchained - Beat Demo 2.3.milk
+share/clementine/projectm-presets/fiShbRaiN - blueprint.milk
+share/clementine/projectm-presets/Geiss - Hyperion.milk
+share/clementine/projectm-presets/Geiss - Planet 1.milk
+share/clementine/projectm-presets/Fvese - The Tunnel (Final Stage Mix).milk
+share/clementine/projectm-presets/Rovastar - Touchdown on Mars (Detailed Pictures Mix).milk
+share/clementine/projectm-presets/Rovastar - A Million Miles From Earth (Wormhole Mix).milk
+share/clementine/projectm-presets/Mstress & Juppy - Dancer.milk
+share/clementine/projectm-presets/Rovastar - Hyperspace (Hyper Speed Mix).milk
+share/clementine/projectm-presets/Geiss - Churn.milk
+share/clementine/projectm-presets/Geiss & Rovastar - Julia Fractal (Vectrip Mix).milk
+share/clementine/projectm-presets/Zylot - Color Of Music.milk
+share/clementine/projectm-presets/Geiss - Bipolar 1.milk
+share/clementine/projectm-presets/Unchained - Ribald Ballad.milk
+share/clementine/projectm-presets/Fvese - Stand Still!.milk
+share/clementine/projectm-presets/Unchained & Rovastar - Luckless.milk
+share/clementine/projectm-presets/Geiss - Drift.milk
+share/clementine/projectm-presets/Che - Escape.milk
+share/clementine/projectm-presets/StudioMusic & Unchained - Minor Alteration.milk
+share/clementine/projectm-presets/Unchained - ventilation.milk
+share/clementine/projectm-presets/Zylot - Crystal Ball (Magical Reaction Mix).milk
+share/clementine/projectm-presets/Geiss - Spacedust.milk
+share/clementine/projectm-presets/Rovastar & Idiot24-7 - Mixed Emotions (Harlequin's Shame Mix).milk
+share/clementine/projectm-presets/Fvese - 0 To 60.milk
+share/clementine/projectm-presets/Unchained & Rovastar - Rainbow Obscura.milk
+share/clementine/projectm-presets/Rovastar & Fvese - Stranger Minds.milk
+share/clementine/projectm-presets/Telek - Recirculate (Cool).milk
+share/clementine/projectm-presets/Fvese - Lifesavor Anyone.milk
+share/clementine/projectm-presets/Rovastar & Geiss - Bipolar 2 (Vectrip Mix).milk
+share/clementine/projectm-presets/Geiss - Supernova 1.milk
+share/clementine/projectm-presets/Unchained & Illusion - Spirit Morph.milk
+share/clementine/projectm-presets/TobiasWolfBoi - Cataract.milk
+share/clementine/projectm-presets/Rovastar - Multiverse Starfield 1.milk
+share/clementine/projectm-presets/Rozzer & Zylot - Force Field Generator (Slowtime Tweak).milk
+share/clementine/projectm-presets/Rovastar - Solarized Space (Space DNA Mix).milk
+share/clementine/projectm-presets/Krash - Season's Greetings 2.milk
+share/clementine/projectm-presets/Unchained - In Memory Of Peg.milk
+share/clementine/projectm-presets/Tux.tga
+share/clementine/projectm-presets/Unchained & Rovastar - For The Seagull.milk
+share/clementine/projectm-presets/Geiss - Julia Fractal 1.milk
+share/clementine/projectm-presets/Unchained - Picture Of Exile.milk
+share/clementine/projectm-presets/Telek - City Helix Lattice.milk
+share/clementine/projectm-presets/Telek - Slow Shift Matrix.milk
+share/clementine/projectm-presets/Rocke - Cold Love (Tei Zwaa).milk
+share/clementine/projectm-presets/Geiss - Reducto Absurdum.milk
+share/clementine/projectm-presets/che - adela the flower.milk
+share/clementine/projectm-presets/Geiss - Corpus Callosum.milk
+share/clementine/projectm-presets/Geiss & Rovastar - The Chaos Of Colours (sprouting dimentia mix).milk
+share/clementine/projectm-presets/Geiss - Sunsets.milk
+share/clementine/projectm-presets/Geiss - Asymptote.milk
+share/clementine/projectm-presets/shifter - escape the worm - Eo.S. + Phat 5362.milk
+share/clementine/projectm-presets/Geiss - Dynamic Swirls 1.milk
+share/clementine/projectm-presets/Geiss - Casino.milk
+share/clementine/projectm-presets/Rozzor and Rovastar - Altars Of Madness 3 (ooze tweak with .milk
+share/clementine/projectm-presets/Zylot - Puddle Of Music.milk
+share/clementine/projectm-presets/Rovastar - Altars Of Harlequin's Madness (Dark Disorder Mix.milk
+share/clementine/projectm-presets/Idiot & Rovastar - Altars Of Madness 2 (X.42 Mix).milk
+share/clementine/projectm-presets/Krash & Rovastar - Switching Polygons.milk
+share/clementine/projectm-presets/Zylot - Visionarie (geiss aspect ratio fix).milk
+share/clementine/projectm-presets/Aderrasi - Antique Abyss.milk
+share/clementine/projectm-presets/Zylot - light of the path.milk
+share/clementine/projectm-presets/StudioMusic & Unchained - State Of Discretion.milk
+share/clementine/projectm-presets/Unchained & Rovastar - Xen Traffic.milk
+share/clementine/projectm-presets/Rovastar & Geiss - Octotrip.milk
+share/clementine/projectm-presets/Krash and Fvese - Molten Indecision (Fvese Remix).milk
+share/clementine/projectm-presets/EvilJim - Ice Drops.milk
+share/clementine/projectm-presets/Rovastar - Chemical Spirituality.milk
+share/clementine/projectm-presets/Geiss - Flower Blossom.milk
+share/clementine/projectm-presets/Rovastar & Zylot - Narell's Fever.milk
+share/clementine/projectm-presets/Zylot - Mixing Pot.milk
+share/clementine/projectm-presets/Aderrasi - Arise! (Padded Mix).milk
+share/clementine/projectm-presets/Aderrasi - Dark Matter (Converse Mix).milk
+share/clementine/projectm-presets/Aderrasi - Causeway Of Dreams (REMix).milk
+share/clementine/projectm-presets/Geiss - Feedback 2.milk
+share/clementine/projectm-presets/Geiss - Swirlie 2.milk
+share/clementine/projectm-presets/Rovastar - Harlequin's Dynamic Fractal 2.milk
+share/clementine/projectm-presets/Unchained - Picture Of Nectar.milk
+share/clementine/projectm-presets/Geiss - Coral.milk
+share/clementine/projectm-presets/Aderrasi - Brakefreak.milk
+share/clementine/projectm-presets/Illusion & Rovastar - Snowflake Delight.milk
+share/clementine/projectm-presets/Aderrasi - What cannot be.milk
+share/clementine/projectm-presets/Unchained & Rovastar - Wormhole Pillars (Hall of Shadows mi.milk
+share/clementine/projectm-presets/Rovastar - Inner Thoughts (Clouded Judgement Mix).milk
+share/clementine/projectm-presets/Che - Burning Hus.milk
+@dirrmtry share/applications
 @dirrmtry share/icons/hicolor/64x64/apps
 @dirrmtry share/icons/hicolor/64x64
 @dirrmtry share/icons/hicolor/scalable/apps
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 11 commit-hook freebsd_committer 2017-04-29 15:44:19 UTC
A commit references this bug:

Author: sunpoet
Date: Sat Apr 29 15:43:50 UTC 2017
New revision: 439753
URL: https://svnweb.freebsd.org/changeset/ports/439753

Log:
  Update devel/protobuf to 3.3.0

  - Remove USE_CSTD=c99: it was added for [1], now audio/clementine-player builds fine without it
  - Bump PORTREVISION for shlib change

  Changes:	https://github.com/google/protobuf/releases
  PR:		178687 [1]

Changes:
  head/astro/libosmpbf/Makefile
  head/astro/merkaartor/Makefile
  head/audio/clementine-player/Makefile
  head/audio/mixxx/Makefile
  head/audio/mumble/Makefile
  head/audio/murmur/Makefile
  head/devel/php5-pinba/Makefile
  head/devel/pinba_engine/Makefile
  head/devel/protobuf/Makefile
  head/devel/protobuf/distinfo
  head/devel/protobuf/files/patch-src-google-protobuf-compiler-plugin.pb.cc
  head/devel/protobuf/files/patch-src-google-protobuf-compiler-plugin.pb.h
  head/devel/protobuf/pkg-plist
  head/devel/tesla/Makefile
  head/dns/dnsdist/Makefile
  head/dns/powerdns/Makefile
  head/games/cockatrice/Makefile
  head/games/pink-pony/Makefile
  head/games/pokerth/Makefile
  head/japanese/mozc-server/Makefile
  head/net/mosh/Makefile
  head/net/ostinato/Makefile
  head/net/spoofer/Makefile
  head/net-im/ricochet/Makefile
  head/net-p2p/bitcoin/Makefile
  head/net-p2p/litecoin/Makefile
  head/net-p2p/namecoin/Makefile
  head/net-p2p/zetacoin/Makefile
  head/security/certificate-transparency/Makefile
  head/sysutils/zbackup/Makefile